## openni 1.5.4.0

=== Platform/Linux/Build/Modules/nimMockNodes/Makefile ===
BIN_DIR = ../../../Bin

INC_DIRS = \
	../../../../../Include \
	../../../../../Source

SRC_FILES = \
	../../../../../Source/Modules/nimMockNodes/*.cpp

LIB_NAME = nimMockNodes
USED_LIBS = OpenNI

include ../../Common/CommonCppMakefile

=== Platform/Linux/Build/Samples/NiHandTracker/Makefile ===
include ../../Common/CommonDefs.mak

BIN_DIR = ../../../Bin

INC_DIRS = \
	../../../../../Include \
	../../../../../Samples/NiHandTracker

SRC_FILES = ../../../../../Samples/NiHandTracker/*.cpp

ifeq ("$(OSTYPE)","Darwin")
	LDFLAGS += -framework OpenGL -framework GLUT
else
	USED_LIBS += glut GL
endif

USED_LIBS += OpenNI

EXE_NAME = Sample-NiHandTracker

include ../../Common/CommonCppMakefile

=== Platform/Linux/Build/Samples/NiViewer/Makefile ===
include ../../Common/CommonDefs.mak

BIN_DIR = ../../../Bin

INC_DIRS = \
	../../../../../Include \
	../../../../../Samples/NiViewer

SRC_FILES = ../../../../../Samples/NiViewer/*.cpp

ifeq ("$(OSTYPE)","Darwin")
	LDFLAGS += -framework OpenGL -framework GLUT
else
	USED_LIBS += glut GL
endif

USED_LIBS += OpenNI

EXE_NAME = NiViewer

include ../../Common/CommonCppMakefile

=== Platform/Linux/Build/Samples/SimpleRead.java/Makefile ===
include ../../Common/CommonDefs.mak

BIN_DIR = ../../../Bin

SRC_FILES = \
	../../../../../Samples/SimpleRead.java/org/OpenNI/Samples/SimpleRead/*.java

JAR_NAME = org.OpenNI.Samples.SimpleRead
USED_JARS = org.OpenNI
MAIN_CLASS = org.OpenNI.Samples.SimpleRead.SimpleRead

include ../../Common/CommonJavaMakefile

=== Platform/Linux/Build/Utils/niReg/Makefile ===
BIN_DIR = ../../../Bin

INC_DIRS = \
	../../../../../Include \
	../../../../../Source

SRC_FILES = \
	../../../../../Source/Utils/niReg/*.cpp

EXE_NAME = niReg
USED_LIBS = OpenNI

include ../../Common/CommonCppMakefile

=== Platform/Linux/Build/Wrappers/OpenNI.java/Makefile ===
BIN_DIR = ../../../Bin

SRC_FILES = \
	../../../../../Wrappers/OpenNI.java/src/org/OpenNI/*.java

JAR_NAME = org.OpenNI

include ../../Common/CommonJavaMakefile

=== debian/changelog ===
openni (1.5.4.0-7) unstable; urgency=low

  [ Jochen Sprickerhof ]
  * Add libopenni-sensor-pointclouds0 as an alternative
  * Remove -j from make flags (fixes bug on arm)
  * Move {licenses,modules}.xml to /var/lib/ni/ (Closes: #734768, #734894)

 -- Hans-Christoph Steiner <hans@eds.org>  Tue, 25 Feb 2014 11:29:08 -0500

openni (1.5.4.0-6) unstable; urgency=low

  * Initial upload to Debian (Closes: #607160)
  * Standards-Version: 3.9.4
  * added .docx source to included Documentation/OpenNI_UserGuide.pdf
  * updated debian/copyright to copyright-format/1.0
  * include all relevant copyright statements and licenses
  * include relevant documentation in doc-base

 -- Hans-Christoph Steiner <hans@eds.org>  Tue, 01 Oct 2013 20:53:53 -0400

openni (1.5.4.0-5) unstable; urgency=low

  * Fix USB code and printf
  * Adapt to libopenni-sensor-primesense SONAME bump

 -- Jochen Sprickerhof <launchpad@jochen.sprickerhof.de>  Tue, 08 Jan 2013 00:40:17 +0100

openni (1.5.4.0-4) unstable; urgency=low

  * Simplify pkg-config file

 -- Jochen Sprickerhof <launchpad@jochen.sprickerhof.de>  Fri, 28 Dec 2012 11:57:55 +0100

openni (1.5.4.0-3) unstable; urgency=low

  * Downgrade dependency on libopenni-sensor-primesense0 to recommends

 -- Jochen Sprickerhof <launchpad@jochen.sprickerhof.de>  Thu, 27 Dec 2012 18:59:38 +0100

openni (1.5.4.0-2) unstable; urgency=low

  * Add dependency from libopenni0 to libopenni-sensor-primesense0

 -- Jochen Sprickerhof <launchpad@jochen.sprickerhof.de>  Thu, 20 Dec 2012 22:33:47 +0100

openni (1.5.4.0-1) unstable; urgency=low

  * Fix clean target in rules to work cross platform.
  * Fix rules
  * Add patch to fix preprocessor symbol with C++11

 -- Jochen Sprickerhof <launchpad@jochen.sprickerhof.de>  Thu, 20 Dec 2012 21:42:59 +0100

=== debian/control ===
Source: openni
Priority: optional
Section: libs
Maintainer: Debian Multimedia Maintainers <pkg-multimedia-maintainers@lists.alioth.debian.org>
Uploaders: Hans-Christoph Steiner <hans@eds.org>,
           Cosimo Alfarano <kalfa@debian.org>,
           Nobuhiro Iwamatsu <iwamatsu@debian.org>
Build-Depends: debhelper (>= 7.0.50~),
               freeglut3-dev,
               libusb-1.0-0-dev (>= 1.0.8),
               python (>= 2.6),
               doxygen,
               graphviz,
               libjpeg-dev,
               libtinyxml-dev,
               default-jdk
Standards-Version: 3.9.5
Homepage: http://www.openni.org
Vcs-Git: git://anonscm.debian.org/pkg-multimedia/openni.git
Vcs-Browser: http://anonscm.debian.org/git/pkg-multimedia/openni.git

Package: libopenni0
Architecture: any
Pre-Depends: dpkg (>= 1.15.7.2)
Depends: ${shlibs:Depends},
         ${misc:Depends}
Recommends: libopenni-sensor-pointclouds0 | libopenni-sensor-primesense0
Conflicts: openni-dev
Description: framework for sensor-based 'Natural Interaction'
 OpenNI is a framework for getting data to support 'Natural Interaction',
 i.e. skeleton tracking, gesture tracking, and similar ways of getting data
 from humans. OpenNI provides the interface for physical devices and for
 middleware components. The API enables modules to be registered in the OpenNI
 framework, which then produce sensory data. OpenNI also allows selection of
 different hardware and middleware modules.

Package: libopenni-java
Section: java
Architecture: any
Depends: ${shlibs:Depends},
         ${misc:Depends},
         libopenni0 (= ${binary:Version})
Description: Java framework for sensor-based 'Natural Interaction'
 OpenNI is a framework for getting data to support 'Natural Interaction',
 i.e. skeleton tracking, gesture tracking, and similar ways of getting data
 from humans. OpenNI provides the interface for physical devices and for
 middleware components. The API enables modules to be registered in the OpenNI
 framework, which then produce sensory data. OpenNI also allows selection of
 different hardware and middleware modules.
 .
 This package provides Java bindings for OpenNI.

Package: openni-utils
Section: utils
Architecture: any
Depends: ${shlibs:Depends},
         ${misc:Depends}
Description: debug and test utilities OpenNI framework
 OpenNI is a framework for getting data to support 'Natural Interaction',
 i.e. skeleton tracking, gesture tracking, and similar ways of getting data
 from humans. OpenNI provides the interface for physical devices and for
 middleware components. The API enables modules to be registered in the OpenNI
 framework, which then produce sensory data. OpenNI also allows selection of
 different hardware and middleware modules.
 .
 This package provides a number of related utilities for debugging, testing,
 and view the results of the sensor modules.

Package: libopenni-dev
Section: libdevel
Architecture: any
Depends: ${misc:Depends},
         libopenni0 (= ${binary:Version})
Suggests: openni-doc
Description: headers for OpenNI 'Natural Interaction' frameworks
 OpenNI is a framework for getting data to support 'Natural Interaction',
 i.e. skeleton tracking, gesture tracking, and similar ways of getting data
 from humans. OpenNI provides the interface for physical devices and for
 middleware components. The API enables modules to be registered in the OpenNI
 framework, which then produce sensory data. OpenNI also allows selection of
 different hardware and middleware modules.
 .
 This package provides the headers and pkgconfig for building C/C++ programs
 that use OpenNI libraries.

Package: openni-doc
Section: doc
Architecture: all
Depends: ${misc:Depends}
Description: developer documentation for OpenNI frameworks
 OpenNI is a framework for getting data to support 'Natural Interaction',
 i.e. skeleton tracking, gesture tracking, and similar ways of getting data
 from humans. OpenNI provides the interface for physical devices and for
 middleware components. The API enables modules to be registered in the OpenNI
 framework, which then produce sensory data. OpenNI also allows selection of
 different hardware and middleware modules.
 .
 This package provides developer documentation for developing using the OpenNI
 frameworks.

=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@ --buildsystem=makefile

override_dh_auto_build:
	cd Platform/Linux/CreateRedist && ./RedistMaker

override_dh_auto_clean:
	dh_auto_clean
	rm -rf -- Source/DoxyGen/html/
	rm -rf -- Platform/Linux/Bin/
	rm -rf -- Platform/Linux/Build/Modules/nimCodecs/*-Release/
	rm -rf -- Platform/Linux/Build/Modules/nimMockNodes/*-Release/
	rm -rf -- Platform/Linux/Build/Modules/nimRecorder/*-Release/
	rm -rf -- Platform/Linux/Build/OpenNI/*-Release/
	rm -rf -- Platform/Linux/Build/Samples/NiAudioSample/*-Release/
	rm -rf -- Platform/Linux/Build/Samples/NiBackRecorder/*-Release/
	rm -rf -- Platform/Linux/Build/Samples/NiCRead/*-Release/
	rm -rf -- Platform/Linux/Build/Samples/NiConvertXToONI/*-Release/
	rm -rf -- Platform/Linux/Build/Samples/NiHandTracker/*-Release/
	rm -rf -- Platform/Linux/Build/Samples/NiRecordSynthetic/*-Release/
	rm -rf -- Platform/Linux/Build/Samples/NiSampleModule/*-Release/
	rm -rf -- Platform/Linux/Build/Samples/NiSimpleCreate/*-Release/
	rm -rf -- Platform/Linux/Build/Samples/NiSimpleRead/*-Release/
	rm -rf -- Platform/Linux/Build/Samples/NiSimpleSkeleton/*-Release/
	rm -rf -- Platform/Linux/Build/Samples/NiSimpleViewer/*-Release/
	rm -rf -- Platform/Linux/Build/Samples/NiUserSelection/*-Release/
	rm -rf -- Platform/Linux/Build/Samples/NiUserTracker/*-Release/
	rm -rf -- Platform/Linux/Build/Samples/NiViewer/*-Release/
	rm -rf -- Platform/Linux/Build/Samples/SimpleRead.java/Manifest.txt
	rm -rf -- Platform/Linux/Build/Samples/SimpleRead.java/*-Release/
	rm -rf -- Platform/Linux/Build/Samples/SimpleViewer.java/Manifest.txt
	rm -rf -- Platform/Linux/Build/Samples/SimpleViewer.java/*-Release/
	rm -rf -- Platform/Linux/Build/Samples/UserTracker.java/Manifest.txt
	rm -rf -- Platform/Linux/Build/Samples/UserTracker.java/*-Release/
	rm -rf -- Platform/Linux/Build/Utils/niLicense/*-Release/
	rm -rf -- Platform/Linux/Build/Utils/niReg/*-Release/
	rm -rf -- Platform/Linux/Build/Wrappers/OpenNI.java/*-Release/
	rm -rf -- Platform/Linux/Build/Wrappers/OpenNI.jni/*-Release/
	rm -rf -- Platform/Linux/CreateRedist/Final/
	rm -rf -- Platform/Linux/CreateRedist/Output/
	rm -rf -- Platform/Linux/Redist/

## openni 1.5.4.0%2Bdfsg

=== Platform/Linux/Build/Samples/NiBackRecorder/Makefile ===
include ../../Common/CommonDefs.mak

BIN_DIR = ../../../Bin

INC_DIRS = ../../../../../Include

SRC_FILES = ../../../../../Samples/NiBackRecorder/*.cpp

EXE_NAME = Sample-NiBackRecorder
USED_LIBS = OpenNI

include ../../Common/CommonCppMakefile

=== Platform/Linux/Build/Samples/NiSimpleSkeleton/Makefile ===
include ../../Common/CommonDefs.mak

BIN_DIR = ../../../Bin

INC_DIRS = ../../../../../Include

SRC_FILES = ../../../../../Samples/NiSimpleSkeleton/*.cpp

EXE_NAME = Sample-NiSimpleSkeleton
USED_LIBS = OpenNI

include ../../Common/CommonCppMakefile

=== Platform/Linux/Build/Samples/NiSkeletonBenchmark/Makefile ===
BIN_DIR = ../../../Bin

INC_DIRS = ../../../../../Include

SRC_FILES = ../../../../../Samples/NiSkeletonBenchmark/*.cpp

EXE_NAME = NiSkeletonBenchmark
USED_LIBS = OpenNI

include ../../Common/CommonCppMakefile

=== Platform/Linux/Build/Testing/OpenNITester/Makefile ===
include ../../Common/CommonDefs.mak

BIN_DIR = ../../../Bin

INC_DIRS = \
    ../../../../../Include \
    ../../../../../Testing/Common

SRC_FILES = \
    ../../../../../Testing/OpenNITester/*.cpp \
	../../../../../Testing/Common/*.cc

EXE_NAME = OpenNITester
USED_LIBS = OpenNI

include ../../Common/CommonCppMakefile

=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@ --buildsystem=makefile

override_dh_auto_build:
	cd Platform/Linux/CreateRedist && ./RedistMaker

## openni 1.5.4.0+dfsg

=== Platform/Linux/Build/Makefile ===
#############################################################################
# OpenNI makefile.
# 
# default configuration is Release. for a debug version use:
# 	make CFG=Debug
#
# default compiler is g++. for another one use:
#   make CXX=<comp>
#
# By default, CLR projects will only be build if mono is installed.
# To force CLR projects use:
#   make FORCE_BUILD_CLR=1
#
#############################################################################

include Common/CommonDefs.mak

# list all modules
ALL_MODULES = \
	Modules/nimCodecs \
	Modules/nimMockNodes \
	Modules/nimRecorder

# list all utils
ALL_UTILS = \
	Utils/niReg \
	Utils/niLicense

ALL_MONO_PROJS = \
	Wrappers/OpenNI.net

ALL_JAVA_PROJS = \
	Wrappers/OpenNI.jni \
	Wrappers/OpenNI.java
	
# list all core projects
ALL_CORE_PROJS = \
	OpenNI \
	$(ALL_MODULES) \
	$(ALL_UTILS) \
	$(ALL_JAVA_PROJS)

# list all samples
CORE_SAMPLES = \
	Samples/NiSimpleRead \
	Samples/NiBackRecorder \
	Samples/NiConvertXToONI \
	Samples/NiRecordSynthetic \
	Samples/NiSampleModule \
	Samples/NiSimpleCreate \
	Samples/NiCRead \
	Samples/NiAudioSample \
	Samples/NiSimpleSkeleton \
	
ifeq "$(GLUT_SUPPORTED)" "1"
	CORE_SAMPLES += \
		Samples/NiViewer \
		Samples/NiSimpleViewer \
		Samples/NiUserTracker \
		Samples/NiUserSelection \
		Samples/NiHandTracker
else
	ifeq "$(GLES_SUPPORTED)" "1"
		CORE_SAMPLES += \
			Samples/NiUserTracker \
			Samples/NiUserSelection
	endif
endif

MONO_SAMPLES = \
	Samples/SimpleRead.net

MONO_FORMS_SAMPLES = \
	Samples/SimpleViewer.net \
	Samples/UserTracker.net
	
JAVA_SAMPLES = \
	Samples/SimpleRead.java \
	Samples/SimpleViewer.java \
	Samples/UserTracker.java \

ALL_SAMPLES = \
	$(CORE_SAMPLES) \
	$(JAVA_SAMPLES)

# list all projects that are build
ALL_BUILD_PROJS = \
	$(ALL_CORE_PROJS) \
	$(ALL_SAMPLES)

ALL_PROJS = \
	$(ALL_BUILD_PROJS)

# decide if CLR projects should be build
ifneq "$(realpath /usr/bin/gmcs)" ""
	MONO_INSTALLED = 1
	
	ifneq "$(shell gacutil -l | grep System.Windows.Forms)" ""
		MONO_WINFORMS_INSTALLED = 1
	endif
endif

ifeq "$(FORCE_BUILD_CLR)" "1"
	ifndef MONO_INSTALLED
		DUMMY:=$(error Mono is not installed! Consider turning off FORCE_BUILD_CLR.)
	endif
	
	ifndef MONO_WINFORMS_INSTALLED
		DUMMY:=$(error Mono WinForms is not installed! Consider turning off FORCE_BUILD_CLR.)
	endif
endif

ifdef MONO_INSTALLED
	ALL_PROJS += $(ALL_MONO_PROJS)
	ALL_PROJS += $(MONO_SAMPLES)
	
	ifdef MONO_WINFORMS_INSTALLED
		ALL_PROJS += $(MONO_FORMS_SAMPLES)
	endif
endif

ALL_PROJS_CLEAN = $(foreach proj,$(ALL_PROJS),$(proj)-clean)

# define a function which creates a target for each proj
define CREATE_PROJ_TARGET
$1: 
	$$(MAKE) -C $1

$1-clean: 
	$$(MAKE) -C $1 clean
endef

################ TARGETS ##################

.PHONY: all $(ALL_PROJS) $(ALL_PROJS_CLEAN) install uninstall clean 

# make all makefiles
all: $(ALL_PROJS)

core: $(ALL_CORE_PROJS)

samples: $(ALL_SAMPLES)

mono_wrapper: Wrappers/OpenNI.net

mono_samples: $(MONO_SAMPLES) $(MONO_FORMS_SAMPLES)

# create projects targets
$(foreach proj,$(ALL_PROJS),$(eval $(call CREATE_PROJ_TARGET,$(proj))))

# additional dependencies
Modules/nimCodecs:		OpenNI
Modules/nimMockNodes:		OpenNI
Modules/nimRecorder:		OpenNI

Utils/niReg:			OpenNI
Utils/niLicense:		OpenNI

Wrappers/OpenNI.net:		OpenNI
Wrappers/OpenNI.jni:		OpenNI
Wrappers/OpenNI.java:		Wrappers/OpenNI.jni

Samples/NiSimpleRead:		OpenNI
Samples/NiBackRecorder:		OpenNI
Samples/NiConvertXToONI:	OpenNI
Samples/NiRecordSynthetic:	OpenNI
Samples/NiSampleModule:		OpenNI
Samples/NiSimpleCreate:		OpenNI
Samples/NiCRead:		OpenNI
Samples/NiAudioSample:		OpenNI
Samples/NiSimpleSkeleton:	OpenNI
Samples/NiUserTracker:		OpenNI
Samples/NiUserSelection:	OpenNI
Samples/NiHandTracker:		OpenNI
Samples/NiViewer:		OpenNI
Samples/NiSimpleViewer:		OpenNI

Samples/SimpleRead.net:		Wrappers/OpenNI.net
Samples/SimpleViewer.net:	Wrappers/OpenNI.net
Samples/UserTracker.net:	Wrappers/OpenNI.net

Samples/SimpleRead.java:	Wrappers/OpenNI.java
Samples/SimpleViewer.java:	Wrappers/OpenNI.java
Samples/UserTracker.java:	Wrappers/OpenNI.java


# clean is cleaning all projects
clean: $(ALL_PROJS_CLEAN)

# redist target
redist: all
	cd ../CreateRedist; ./RedistMaker; cd -

# install target
install: redist
	cd ../Redist; ./install.sh; cd -

# uninstall target
uninstall:
	cd ../Redist; ./install.sh -u; cd -

=== Platform/Linux/Build/OpenNI/Makefile ===
OSTYPE := $(shell uname -s)

BIN_DIR = ../../Bin

INC_DIRS = \
	../../../../Include \
	../../../../Source \
	../../../../Externals/TinyXml

SRC_FILES = \
	../../../../Source/OpenNI/*.cpp \
	../../../../Source/OpenNI/Linux/*.cpp \
	../../../../Externals/TinyXml/*.cpp

ifeq ("$(OSTYPE)","Darwin")
	INC_DIRS += /opt/local/include
	LIB_DIRS += /opt/local/lib
	LDFLAGS += -framework CoreFoundation -framework IOKit
endif

LIB_NAME = OpenNI
USED_LIBS = usb-1.0 dl pthread
ifneq ("$(OSTYPE)","Darwin")
	USED_LIBS += rt 
endif
DEFINES = XN_EXPORTS

include ../Common/CommonCppMakefile

=== Platform/Linux/Build/Modules/nimCodecs/Makefile ===
BIN_DIR = ../../../Bin

INC_DIRS = \
	../../../../../Include \
	../../../../../Source \
	../../../../../Externals/LibJPEG

SRC_FILES = \
	../../../../../Source/Modules/nimCodecs/*.cpp \
	../../../../../Externals/LibJPEG/*.c

LIB_NAME = nimCodecs
USED_LIBS = OpenNI

include ../../Common/CommonCppMakefile

=== Platform/Linux/Build/Modules/nimRecorder/Makefile ===
BIN_DIR = ../../../Bin

INC_DIRS = \
	../../../../../Include \
	../../../../../Source \
	../../../../../Source/Modules/Common

SRC_FILES = \
	../../../../../Source/Modules/nimRecorder/*.cpp \
	../../../../../Source/Modules/Common/*.cpp

LIB_NAME = nimRecorder
USED_LIBS = OpenNI

include ../../Common/CommonCppMakefile

=== Platform/Linux/Build/Samples/NiAudioSample/Makefile ===
include ../../Common/CommonDefs.mak

BIN_DIR = ../../../Bin

INC_DIRS = ../../../../../Include

SRC_FILES = ../../../../../Samples/NiAudioSample/*.cpp

EXE_NAME = Sample-NiAudioSample
USED_LIBS = OpenNI

include ../../Common/CommonCppMakefile

=== Platform/Linux/Build/Samples/NiCRead/Makefile ===
include ../../Common/CommonDefs.mak

BIN_DIR = ../../../Bin

INC_DIRS = ../../../../../Include

SRC_FILES = ../../../../../Samples/NiCRead/*.c

EXE_NAME = Sample-NiCRead
USED_LIBS = OpenNI

include ../../Common/CommonCppMakefile

=== Platform/Linux/Build/Samples/NiConvertXToONI/Makefile ===
include ../../Common/CommonDefs.mak

BIN_DIR = ../../../Bin

INC_DIRS = ../../../../../Include

SRC_FILES = ../../../../../Samples/NiConvertXToONI/*.cpp

EXE_NAME = Sample-NiConvertXToONI
USED_LIBS = OpenNI

include ../../Common/CommonCppMakefile

=== Platform/Linux/Build/Samples/NiRecordSynthetic/Makefile ===
include ../../Common/CommonDefs.mak

BIN_DIR = ../../../Bin

INC_DIRS = ../../../../../Include

SRC_FILES = ../../../../../Samples/NiRecordSynthetic/*.cpp

EXE_NAME = Sample-NiRecordSynthetic
USED_LIBS = OpenNI

include ../../Common/CommonCppMakefile

=== Platform/Linux/Build/Samples/NiSampleModule/Makefile ===
include ../../Common/CommonDefs.mak

BIN_DIR = ../../../Bin

INC_DIRS = ../../../../../Include

SRC_FILES = ../../../../../Samples/NiSampleModule/*.cpp

LIB_NAME = Sample-NiSampleModule
USED_LIBS = OpenNI

include ../../Common/CommonCppMakefile

=== Platform/Linux/Build/Samples/NiSimpleCreate/Makefile ===
include ../../Common/CommonDefs.mak

BIN_DIR = ../../../Bin

INC_DIRS = ../../../../../Include

SRC_FILES = ../../../../../Samples/NiSimpleCreate/*.cpp

EXE_NAME = Sample-NiSimpleCreate
USED_LIBS = OpenNI

include ../../Common/CommonCppMakefile

=== Platform/Linux/Build/Samples/NiSimpleRead/Makefile ===
include ../../Common/CommonDefs.mak

BIN_DIR = ../../../Bin

INC_DIRS = ../../../../../Include

SRC_FILES = ../../../../../Samples/NiSimpleRead/*.cpp

EXE_NAME = Sample-NiSimpleRead
USED_LIBS = OpenNI

include ../../Common/CommonCppMakefile

=== Platform/Linux/Build/Samples/NiSimpleViewer/Makefile ===
include ../../Common/CommonDefs.mak

BIN_DIR = ../../../Bin

INC_DIRS = ../../../../../Include

SRC_FILES = ../../../../../Samples/NiSimpleViewer/*.cpp

EXE_NAME = Sample-NiSimpleViewer

ifeq ("$(OSTYPE)","Darwin")
	LDFLAGS += -framework OpenGL -framework GLUT
else
	USED_LIBS += glut GL
endif

USED_LIBS += OpenNI

include ../../Common/CommonCppMakefile

=== debian/changelog ===
openni (1.5.4.0+dfsg-8) unstable; urgency=medium

  * Fix d/copyright
  * Bump policy version (no changes)

 -- Jochen Sprickerhof <jspricke@debian.org>  Mon, 24 Feb 2025 19:25:34 +0100

openni (1.5.4.0+dfsg-7.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Rename libraries for 64-bit time_t transition.  Closes: #1063098

 -- Benjamin Drung <bdrung@debian.org>  Thu, 29 Feb 2024 12:46:22 +0000

openni (1.5.4.0+dfsg-7) unstable; urgency=medium

  * Add loongarch64 support (Closes: #1050419)
  * Bump policy version (no changes)

 -- Jochen Sprickerhof <jspricke@debian.org>  Wed, 15 Nov 2023 11:05:03 +0100

openni (1.5.4.0+dfsg-6) unstable; urgency=medium

  * Add patch for riscv64.
    Thanks to Bo YU (Closes: #1014442)
  * Bump policy version (no changes)

 -- Jochen Sprickerhof <jspricke@debian.org>  Thu, 07 Jul 2022 11:31:26 +0200

openni (1.5.4.0+dfsg-5) unstable; urgency=medium

  [ Debian Janitor ]
  * Move source package lintian overrides to debian/source.
  * Set upstream metadata fields: Bug-Database, Bug-Submit, Repository,
    Repository-Browse.

  [ Jochen Sprickerhof ]
  * Drop gitlab-ci
  * Bump policy and debhelper versions
  * Add MA hint

 -- Jochen Sprickerhof <jspricke@debian.org>  Wed, 03 Nov 2021 22:42:59 +0100

openni (1.5.4.0+dfsg-4) unstable; urgency=medium

  * Add patch for __i386__ pragma
  * bump policy version (no changes)

 -- Jochen Sprickerhof <jspricke@debian.org>  Tue, 28 Jan 2020 20:42:45 +0100

openni (1.5.4.0+dfsg-3) unstable; urgency=medium

  [ Ondřej Nový ]
  * Use debhelper-compat instead of debian/compat

  [ Jochen Sprickerhof ]
  * Port to Python 3 (Closes: #937205)
  * Bump policy version (no changes)
  * Bump debhelper version
  * Drop migration from version before old-old-stable
  * add Salsa CI

 -- Jochen Sprickerhof <jspricke@debian.org>  Sat, 14 Sep 2019 09:20:36 +0200

openni (1.5.4.0+dfsg-2) unstable; urgency=medium

  * Recover directory (Closes: #911448)

 -- Jochen Sprickerhof <jspricke@debian.org>  Sat, 20 Oct 2018 16:15:36 +0200

openni (1.5.4.0+dfsg-1) unstable; urgency=medium

  [ Hans-Christoph Steiner ]
  * remove myself from Uploaders

  [ Jochen Sprickerhof ]
  * Remove Cosimo Alfarano from Uploaders (Closes: #846821)
  * Update Vcs URLs to salsa.d.o

  [ Ondřej Nový ]
  * d/copyright: Use https protocol in Format field

  [ Jochen Sprickerhof ]
  * Move cleanup to d/clean
  * Add R³

  [ Felipe Sateler ]
  * Change maintainer address to debian-multimedia@lists.debian.org

  [ Jochen Sprickerhof ]
  * Update my address
  * Add file exclude to d/copyright
  * New upstream version 1.5.4.0+dfsg
  * Update packaging
  * Add patch for wrong compiler flags on arm.
    Thanks to Peter Green (Closes: #798728)
  * Disable mono build (Closes: #757264)

 -- Jochen Sprickerhof <jspricke@debian.org>  Sat, 20 Oct 2018 00:05:29 +0200

openni (1.5.4.0-14) unstable; urgency=medium

  * Fix gcc6 compatibility (Closes: #811848).

 -- Jochen Sprickerhof <debian@jochen.sprickerhof.de>  Sat, 23 Jan 2016 15:38:49 +0100

openni (1.5.4.0-13) unstable; urgency=medium

  * Add patch to support mipsel. Thanks to Gustavo Prado Alkmim. Closes: #788680

 -- Jochen Sprickerhof <debian@jochen.sprickerhof.de>  Tue, 28 Jul 2015 09:54:30 +0200

openni (1.5.4.0-12) unstable; urgency=medium

  * Add arm64 support (Closes: #787905), thanks Edmund Grimley Evans

 -- Jochen Sprickerhof <debian@jochen.sprickerhof.de>  Sat, 06 Jun 2015 23:32:22 +0200

openni (1.5.4.0-11) unstable; urgency=medium

  [ Joe Burmeister ]
  * Add ARM-hf support.
  * Update ARM support patch to remove line disabling NiViewer.

 -- Jochen Sprickerhof <debian@jochen.sprickerhof.de>  Sat, 06 Jun 2015 09:28:05 +0200

openni (1.5.4.0-10) unstable; urgency=medium

  [ Fernando Seiti Furusato ]
  * Enabled ppc (Closes: #734110). Thanks Roland Stigge and Fernando Seiti
    Furusato.

  [ Jochen Sprickerhof ]
  * Clean up doxygen_sqlite3.db in override_dh_auto_clean
  * Add myself to uploaders

 -- Jochen Sprickerhof <debian@jochen.sprickerhof.de>  Fri, 05 Jun 2015 19:33:32 +0200

openni (1.5.4.0-9) unstable; urgency=medium

  * Standards-Version: 3.9.6 (no changes)

  [ Jochen Sprickerhof ]
  * Remove license stuff (cf. #771189)
  * Manually generate modules.xml (Closes: #771518)

 -- Hans-Christoph Steiner <hans@eds.org>  Sun, 07 Dec 2014 20:20:51 +0100

openni (1.5.4.0-8) unstable; urgency=medium

  * Do not ship but generate {licenses,modules}.xml at install time
    (Closes: #767653)

 -- Jochen Sprickerhof <debian@jochen.sprickerhof.de>  Mon, 24 Nov 2014 22:33:38 +0100

=== debian/control ===
--- 
+++ 
@@ -1,31 +1,31 @@
 Source: openni
 Priority: optional
 Section: libs
-Maintainer: Debian Multimedia Maintainers <pkg-multimedia-maintainers@lists.alioth.debian.org>
-Uploaders: Hans-Christoph Steiner <hans@eds.org>,
-           Cosimo Alfarano <kalfa@debian.org>,
-           Nobuhiro Iwamatsu <iwamatsu@debian.org>
-Build-Depends: debhelper (>= 7.0.50~),
+Maintainer: Debian Multimedia Maintainers <debian-multimedia@lists.debian.org>
+Uploaders: Nobuhiro Iwamatsu <iwamatsu@debian.org>,
+           Jochen Sprickerhof <jspricke@debian.org>
+Build-Depends: dpkg-dev (>= 1.22.5), debhelper-compat (= 13),
                freeglut3-dev,
-               libusb-1.0-0-dev (>= 1.0.8),
-               python (>= 2.6),
+               libusb-1.0-0-dev,
+               python3,
                doxygen,
                graphviz,
                libjpeg-dev,
                libtinyxml-dev,
                default-jdk
-Standards-Version: 3.9.5
-Homepage: http://www.openni.org
-Vcs-Git: git://anonscm.debian.org/pkg-multimedia/openni.git
-Vcs-Browser: http://anonscm.debian.org/git/pkg-multimedia/openni.git
+Standards-Version: 4.7.1
+Rules-Requires-Root: no
+Vcs-Git: https://salsa.debian.org/multimedia-team/openni.git
+Vcs-Browser: https://salsa.debian.org/multimedia-team/openni
 
-Package: libopenni0
+Package: libopenni0t64
+Provides: ${t64:Provides}
+Replaces: libopenni0
+Breaks: libopenni0 (<< ${source:Version})
 Architecture: any
-Pre-Depends: dpkg (>= 1.15.7.2)
 Depends: ${shlibs:Depends},
          ${misc:Depends}
 Recommends: libopenni-sensor-pointclouds0 | libopenni-sensor-primesense0
-Conflicts: openni-dev
 Description: framework for sensor-based 'Natural Interaction'
  OpenNI is a framework for getting data to support 'Natural Interaction',
  i.e. skeleton tracking, gesture tracking, and similar ways of getting data
@@ -39,7 +39,7 @@
 Architecture: any
 Depends: ${shlibs:Depends},
          ${misc:Depends},
-         libopenni0 (= ${binary:Version})
+         libopenni0t64 (= ${binary:Version})
 Description: Java framework for sensor-based 'Natural Interaction'
  OpenNI is a framework for getting data to support 'Natural Interaction',
  i.e. skeleton tracking, gesture tracking, and similar ways of getting data
@@ -69,8 +69,9 @@
 Package: libopenni-dev
 Section: libdevel
 Architecture: any
+Multi-Arch: same
 Depends: ${misc:Depends},
-         libopenni0 (= ${binary:Version})
+         libopenni0t64 (= ${binary:Version})
 Suggests: openni-doc
 Description: headers for OpenNI 'Natural Interaction' frameworks
  OpenNI is a framework for getting data to support 'Natural Interaction',
@@ -86,6 +87,7 @@
 Package: openni-doc
 Section: doc
 Architecture: all
+Multi-Arch: foreign
 Depends: ${misc:Depends}
 Description: developer documentation for OpenNI frameworks
  OpenNI is a framework for getting data to support 'Natural Interaction',
